package com.tencent.mm.plugin.appbrand.canvas;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.canvas.widget.a;
import java.lang.ref.WeakReference;

class b$a implements a {
    private WeakReference<a> hcC;

    b$a(a aVar) {
        AppMethodBeat.i(103147);
        this.hcC = new WeakReference(aVar);
        AppMethodBeat.o(103147);
    }

    public final void invalidate() {
        AppMethodBeat.i(103148);
        a aVar = (a) this.hcC.get();
        if (aVar == null) {
            AppMethodBeat.o(103148);
            return;
        }
        aVar.ayc();
        AppMethodBeat.o(103148);
    }
}
